Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTreeTable.TreeTableHackerExt

    java.lang.Object
      org.jdesktop.swingx.JXTreeTable.TreeTableHacker
          org.jdesktop.swingx.JXTreeTable.TreeTableHackerExt

Direct Known Subclasses:
  JXTreeTable.TreeTableHackerExt2, JXTreeTable.TreeTableHackerExt4

Enclosing class:
  JXTreeTable

    public class JXTreeTable.TreeTableHackerExt

extends JXTreeTable.TreeTableHacker

Note: currently this class looks a bit funny (only overriding the hit decision method). That's because the "experimental" code as of the last round moved to stable. But I expect that there's more to come, so I leave it here.

1. hit handle detection in processMouse

Field Summary

Fields inherited from class org.jdesktop.swingx.JXTreeTable.TreeTableHacker
`expansionChangedFlag`

Constructor Summary
`JXTreeTable.TreeTableHackerExt()`

Method Summary
`protected boolean` | `isHitDetectionFromProcessMouse()` Here: returns true.

Methods inherited from class org.jdesktop.swingx.JXTreeTable.TreeTableHacker
`completeEditing, expandOrCollapseNode, expansionChanged, hitHandleDetectionFromEditCell, hitHandleDetectionFromProcessMouse, mightBeExpansionTrigger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXTreeTable.TreeTableHackerExt

    public JXTreeTable.TreeTableHackerExt()

Method Detail

### isHitDetectionFromProcessMouse

    protected boolean isHitDetectionFromProcessMouse()

  Here: returns true.

  Overrides:
    `isHitDetectionFromProcessMouse` in class `JXTreeTable.TreeTableHacker`
  Returns:
    true for handle hit detection in processMouse, false for editCellAt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.